
QGIS Application - Bug report #628

Crash on Windows XP when loading a GeoTiff

2007-03-02 03:42 AM - craig-pid-co-za -

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10687

Description

I have a small (57kb) [[GeoTiff]] image. Qgis 0.7.4 loads the raster okay, but Qgis 0.8 crashes when I try to load the raster.

gdalinfo sample.tif gives the following:

Driver: GTiff/GeoTIFF

Size is 138, 138

Coordinate System is @'

Origin = (30.679978,-28.919970)

Pixel Size = (0.00003617,-0.00003617)

Corner Coordinates:

Upper Left  (  30.6799777, -28.9199699)

Lower Left  (  30.6799777, -28.9249620)

Upper Right (  30.6849698, -28.9199699)

Lower Right (  30.6849698, -28.9249620)

Center      (  30.6824737, -28.9224660)

Band 1 Block=138x59 Type=Byte, [[ColorInterp]]=Red

Band 2 Block=138x59 Type=Byte, [[ColorInterp]]=Green

Band 3 Block=138x59 Type=Byte, [[ColorInterp]]=Blue

The projection is latlong/WGS84.

The raster (sample.tif) and the Windows error report are attached.

History

#1 - 2007-03-02 07:13 AM - Magnus Homann

- Status changed from Open to In Progress

#2 - 2007-03-02 07:13 AM - Magnus Homann

Have you tested with latest 0.8.1 preview?

#3 - 2007-03-02 10:53 AM - Magnus Homann

I've tested on win 2j with preview 2, and there is no error. Could you please test it on your machine?

http://www.qgis.org/uploadfiles/testbuilds/
#4 - 2007-03-03 02:52 AM - craig-pid-co-za -

Thanks Homann. Tested with 0.8.1 preview 2 and no problem.

#5 - 2007-03-03 08:02 AM - Magnus Homann

- Status changed from In Progress to Closed

- Resolution set to fixed

Excellent! :-)

#6 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted

Files

Temp.zip 60.5 KB 2007-03-02 craig-pid-co-za -
